=== debian/changelog ===
octave-dicom (0.2.1-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:11 -0200

octave-dicom (0.2.1-4) unstable; urgency=medium

  * Exclude failing unit tests for both build and CI runs

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Aug 2018 16:34:27 -0300

octave-dicom (0.2.1-3) unstable; urgency=medium

  * d/rules: Exclude unit tests that call urlwrite()

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 13 Aug 2018 13:37:24 -0300

octave-dicom (0.2.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0
  * d/patches/no-addpath-inst.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 Aug 2018 06:02:26 -0300

octave-dicom (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #898289)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 06:32:07 -0300
