=== debian/control ===
Source: octave-dicom
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.1),
               libgdcm2-dev
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/dicom/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-dicom
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: manipulate DICOM files in Octave
 Digital communications in medicine (DICOM) is an information
 standard, originally created for image transfer, which now deals with
 a large range of medical data.
 .
 This package provides functions to read and (eventually) write DICOM
 files in Octave, a scientific computation software. The functions in
 the package are intended to have similar usage as the dicom functions
 in the Matlab Image Processing Toolbox. In Octave they are separate:
 most image package users will not use dicom, and its dependency might
 be considered troublesome.
 .
 This Octave add-on package is part of the Octave-Forge project.
