=== debian/changelog ===
octave-dicom (0.2.2-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:18 +0100

octave-dicom (0.2.2-5) unstable; urgency=medium

  * d/p/gdcm-3-fallback-detection.patch: New patch.
    Thanks to Peter Green, for reporting the bug, and Gianfranco
    Costamagna, for indicating the patch. (Closes: #945976)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Dec 2019 05:15:17 -0300

octave-dicom (0.2.2-4) unstable; urgency=medium

  * d/control: Build-depend on libgdcm-dev.
    Thanks to Steve Langasek, for the patch (Closes: #944718)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 29 Nov 2019 05:48:57 -0300

octave-dicom (0.2.2-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1.
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 03 Nov 2019 18:50:27 -0300

octave-dicom (0.2.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 09 Jul 2019 10:24:15 -0300

octave-dicom (0.2.2-1) experimental; urgency=medium

  * New upstream version 0.2.2
  * Refresh patches for new upstream version:
    + d/p/no-addpath-inst.patch
    + d/p/skip-unit-test-isdicom.patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Apr 2019 17:55:16 -0300
