=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.1),
-               libgdcm2-dev
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: cmake,
+               debhelper-compat (= 12),
+               dh-octave (>= 0.7.1),
+               libgdcm-dev
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
