## octave-dicom 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.2.2
-Date: 2019-01-03
+Version: 0.3.0
+Date: 2020-02-27
 Author: Andy Buckle
 Maintainer: Andy Buckle, John Donoghue
 Title: dicom: file io for medical images and other data
@@ -8,6 +8,7 @@
   Depends on Grassroots DICOM (GDCM). This package is not available
   in repos for all distros. Contributors: Judd Storrs, Kris Thielemans,
   John Donoghue
+Depends: octave (>= 3.8.0)
 SystemRequirements: libgdcm2.0 (>= 2.0.16)
 Categories: imaging, medical
 Url: http://octave.org/wiki/index.php?title=Dicom
