=== debian/changelog ===
octave-dicom (0.3.0-3) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Fix Repository field
    + Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:38:57 -0300

octave-dicom (0.3.0-2) unstable; urgency=medium

  * d/u/metadata: Fix Repository field

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 Mar 2020 15:40:25 -0300

octave-dicom (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Specify versioned build-dependency on libgdcm-dev
    + Update upstream homepage URL
    + Bump Standards-Version to 4.5.0 (no changes needed)
  * d/p/skip-unit-test-isdicom.patch: Refresh for new upstream version
  * d/p/no-addpath-inst.patch: Drop patch (fixed upstream)
  * d/p/gdcm-3-fallback-detection.patch: Drop patch (applied upstream)
  * d/u/metadata: Add DEP-12 fields recommended by Lintian

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:53:33 -0300
