## octave-dicom 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.3.0
-Date: 2020-02-27
+Version: 0.4.0
+Date: 2020-09-04
 Author: Andy Buckle
 Maintainer: Andy Buckle, John Donoghue
 Title: dicom: file io for medical images and other data
