=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               libgdcm-dev
-Standards-Version: 4.4.1
-Homepage: https://octave.sourceforge.io/dicom/
+               libgdcm-dev (>= 2.0.16)
+Standards-Version: 4.5.0
+Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
 Testsuite: autopkgtest-pkg-octave
