## octave-dicom 0.5.0

=== debian/changelog ===
octave-dicom (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cpp-tst
  * Proper cleanup of files generated by the configure script
    + d/clean: Drop file
  * d/control: Build-depend on dh-octave >= 1.2.3
    In this version, dh_octave_clean removes the src/*-tst files, as
    well as the files generated by the configure script.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 08 Jul 2022 10:33:20 -0300

octave-dicom (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * d/p/skip-unit-test-isdicom.patch: Drop patch (not needed anymore)
  * d/clean: Remove files left over by the building process
  * d/copyright:
    + Accentuate my family name
    + Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.
  * d/watch: Bump to format version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 01 Mar 2022 12:04:22 -0300
