## octave-dicom 0.5.1

=== DESCRIPTION ===
Name: dicom
Version: 0.5.1
Date: 2022-11-21
Author: Andy Buckle
Maintainer: John Donoghue
Title: dicom: file io for medical images and other data
Description: Digital communications in medicine (DICOM) file io. 
  Depends on Grassroots DICOM (GDCM). This package is not available
  in repos for all distros.
Contributors: Judd Storrs, Kris Thielemans, John Donoghue
Depends: octave (>= 3.8.0)
SystemRequirements: libgdcm2.0 (>= 2.0.16)
Categories: imaging, medical
Url: http://octave.org/wiki/index.php?title=Dicom
License: GPL version 3 or later
