=== debian/changelog ===
octave-dicom (0.5.1-1build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:27:26 +0000

octave-dicom (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Dec 2022 14:03:51 -0300
