=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
