## octave-dicom 0.6.0

=== debian/changelog ===
octave-dicom (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/copyright:
    + Update copyright years
    + Update Source URL
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/rules: Move imdata/REAMDE.md into /usr/share/doc

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Jan 2024 16:19:21 -0300
