=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-octave (>= 1.2.3),
                dh-sequence-octave,
                libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.octave.org/Dicom_package
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
