=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

sharedir = debian/octave-dicom/usr/share

execute_after_dh_installdeb:
	mv $(sharedir)/octave/packages/dicom-*/imdata/README.md	\
	   $(sharedir)/doc/octave-dicom/README-imdata.md
