## octave-dicom 0.6.1

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' DESCRIPTION)
 
 HG           := hg
 HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
@@ -52,6 +53,10 @@
 RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
 HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
 HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz
+
+ifeq ($(if $(wildcard .hg),hg,no),hg)
+RELEASE_DIR_DEP := .hg/dirstate
+endif
 
 PKG_ADD     := 
 
@@ -86,14 +91,22 @@
 	-$(RM) -f doc/$(PACKAGE).pdf
 	-$(RM) -f doc/$(PACKAGE).html
 	-$(RM) -f doc/functions.texi
+	-$(RM) -f doc/version.texi
 	-$(RM) -f doc/$(PACKAGE).qhc doc/$(PACKAGE).qch
 
-doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi
+doc/version.texi: $(RELEASE_DIR_DEP)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(VERSION)" >> $@
+	@echo "@set PACKAGE $(PACKAGE)" >> $@
+	@echo "@set DATE $(DATE)" >> $@
+
+doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
 	# remove temp files
 	cd doc && $(RM) -f $(PACKAGE).aux $(PACKAGE).cp $(PACKAGE).cps $(PACKAGE).fn  $(PACKAGE).fns $(PACKAGE).log $(PACKAGE).toc
 
-doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi
+doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css  --no-split --output=${PACKAGE}.html $(PACKAGE).texi
 
 doc/$(PACKAGE).qhc: doc/$(PACKAGE).html
@@ -101,11 +114,11 @@
 	cd doc && ./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
 	cd doc && $(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp
 
-doc/functions.texi:
+doc/functions.texi: $(RELEASE_DIR_DEP)
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
 
 
-$(RELEASE_DIR): .hg/dirstate
+$(RELEASE_DIR): $(RELEASE_DIR_DEP)
 	@echo "Creating package version $(VERSION) release ..."
 	$(RM) -r "$@"
 	$(call HG_CMD,archive) --exclude ".hg*" --type files --rev $(HG_ID) "$@"
