=== debian/changelog ===
octave-dicom (0.6.1-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 04:42:22 -0300

octave-dicom (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/control: Resctrict build-dependencies needed for building the documentation to the "!nodoc" profile
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 21 Sep 2024 02:05:31 -0300

octave-dicom (0.6.0-3) unstable; urgency=medium

  * d/octave-dicom.docs: Install dicom.css file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Jan 2024 16:50:10 -0300

octave-dicom (0.6.0-2) unstable; urgency=medium

  * d/control: Update homepage URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
    + Add Documentation URL
  * Install documentation
    + d/control:
      - Build-depend on dh-octave >= 1.8.0
      - Build-depend on pyhton3
      = Build-depend on texlive
    + d/octave-dicom.doc-base: New file
    + d/octave-dicom.docs: New file
    + d/octave-dicom.info: New file
    + d/rules: Build the documentation via override_dh_auto_build
  * d/p/info-dir-section.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Jan 2024 14:24:34 -0300
