=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               libgdcm-dev (>= 2.0.16)
-Standards-Version: 4.6.2
-Homepage: https://wiki.octave.org/Dicom_package
+               libgdcm-dev (>= 2.0.16),
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-dicom
 Architecture: any
