## octave-dicom 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: dicom
-Version: 0.5.1
-Date: 2022-11-21
+Version: 0.7.1
+Date: 2026-01-06
 Author: Andy Buckle
 Maintainer: John Donoghue
 Title: dicom: file io for medical images and other data
@@ -11,5 +11,7 @@
 Depends: octave (>= 3.8.0)
 SystemRequirements: libgdcm2.0 (>= 2.0.16)
 Categories: imaging, medical
-Url: http://octave.org/wiki/index.php?title=Dicom
+Url: https://gnu-octave.github.io/octave-dicom/index
+Repository: https://github.com/gnu-octave/octave-dicom/
+Tracker: https://github.com/gnu-octave/octave-dicom/issues
 License: GPL version 3 or later
