=== debian/changelog ===
octave-dicom (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/watch: Update upstream tarball URL
  * d/s/lintian-overrides: Drop unused override
  * d/u/metadata: Update upstream URLs
  * d/salsa-ci.yml: New file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 15:04:07 +0000
