=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-dicom
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: cmake,
@@ -10,7 +9,7 @@
                libgdcm-dev (>= 2.0.16),
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/dicom/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-dicom.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-dicom
