=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/dicom/
Matching-Pattern: https://github.com/gnu-octave/octave-dicom/releases/download/release-.*/dicom-@ANY_VERSION@@ARCHIVE_EXT@
